Genivia - SoapTransaction Class Reference

|  | Home | Documentation | SoapTransaction Class Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
SoapTransaction Class Reference
Collaboration diagram for SoapTransaction:
[legend]

## Public Member Functions
| SoapTransaction (soap *)
virtual | ~SoapTransaction ()
void | SendHeaders ()
| send output headers of gsoap to client, if not done so already. More...
size_t | SupplyRequestHeaders (char *pBuf, const size_t len)
void | BuildHeaders ()
| build the headers that must be sent to gsoap. More...

## Static Public Member Functions
static SoapTransaction * | transaction (soap *)

## Public Attributes
struct soap * | _soap
std::string | _header
| header part returned to client e.g. "200 OK". More...
std::string | _request_header
| the (remaining part of ) the first line of the request. More...
DWORD | _dwReturnCode
| the return code for the HttpExtensionProc. More...
ISAPI_HttpRequest * | _request
HttpResponse * | _response
isapistream * | _istream
const mod_gsoap_interface * | _interface

## Protected Attributes
bool | _headers_sent
| true if Http headers have already been sent. More...
bool | _headers_supplied
| true if Http headers have already supplied to gsoap. More...

## Detailed Description

bundle the request/response data into an object to be able to attach it to soap.

## Constructor & Destructor Documentation

SoapTransaction::SoapTransaction | ( | soap * | soap | ) |

SoapTransaction::~SoapTransaction | ( |  | ) |
| virtual

## Member Function Documentation

void SoapTransaction::BuildHeaders | ( |  | ) |

build the headers that must be sent to gsoap.

void SoapTransaction::SendHeaders | ( |  | ) |

send output headers of gsoap to client, if not done so already.

size_t SoapTransaction::SupplyRequestHeaders | ( | char * | pBuf,
|  | const size_t | len
| ) |  |

SoapTransaction * SoapTransaction::transaction | ( | soap * | soap | ) |
| inlinestatic

## Member Data Documentation

DWORD SoapTransaction::_dwReturnCode

the return code for the HttpExtensionProc.

std::string SoapTransaction::_header

header part returned to client e.g. "200 OK".

bool SoapTransaction::_headers_sent
| protected

true if Http headers have already been sent.

bool SoapTransaction::_headers_supplied
| protected

true if Http headers have already supplied to gsoap.

const mod_gsoap_interface* SoapTransaction::_interface

isapistream* SoapTransaction::_istream

ISAPI_HttpRequest* SoapTransaction::_request

std::string SoapTransaction::_request_header

the (remaining part of ) the first line of the request.

HttpResponse* SoapTransaction::_response

struct soap* SoapTransaction::_soap

The documentation for this class was generated from the following file:

- ISAPI_Server.cpp